Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.util
Class ProxyValidator

    java.lang.Object
      org.jboss.portal.core.util.ProxyValidator

    public class ProxyValidator

extends java.lang.Object

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `ProxyValidator.Error`

Field Summary
`static int` | `GETTER_DUPLICATE_NAME`
`static int` | `GETTER_INVALID_NAME`
`static int` | `GETTER_INVALID_RETURN_TYPE`
`static int` | `GETTER_NO_ARGUMENT`
`static int` | `GETTER_RETURN_TYPE_DOES_NOT_MATCH_ARGUMENT_TYPE`
`static int` | `GETTER_TOO_MANY_ARGUMENTS`
`static int` | `METHOD_NOT_ACCESSOR`
`static int` | `SETTER_DUPLICATE_NAME`
`static int` | `SETTER_INVALID_ARGUMENT_TYPE`
`static int` | `SETTER_INVALID_NAME`
`static int` | `SETTER_NO_ARGUMENT`
`static int` | `SETTER_RETURN_TYPE_IS_NOT_VOID`
`static int` | `SETTER_TOO_MANY_ARGUMENTS`

Constructor Summary
`ProxyValidator()`

Method Summary
`static ProxyValidator.Error[]` | `validate(java.lang.Class itf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_NOT_ACCESSOR

    public static final int METHOD_NOT_ACCESSOR

See Also:
  Constant Field Values

### GETTER_INVALID_NAME

    public static final int GETTER_INVALID_NAME

See Also:
  Constant Field Values

### GETTER_DUPLICATE_NAME

    public static final int GETTER_DUPLICATE_NAME

See Also:
  Constant Field Values

### GETTER_INVALID_RETURN_TYPE

    public static final int GETTER_INVALID_RETURN_TYPE

See Also:
  Constant Field Values

### GETTER_NO_ARGUMENT

    public static final int GETTER_NO_ARGUMENT

See Also:
  Constant Field Values

### GETTER_TOO_MANY_ARGUMENTS

    public static final int GETTER_TOO_MANY_ARGUMENTS

See Also:
  Constant Field Values

### GETTER_RETURN_TYPE_DOES_NOT_MATCH_ARGUMENT_TYPE

    public static final int GETTER_RETURN_TYPE_DOES_NOT_MATCH_ARGUMENT_TYPE

See Also:
  Constant Field Values

### SETTER_DUPLICATE_NAME

    public static final int SETTER_DUPLICATE_NAME

See Also:
  Constant Field Values

### SETTER_INVALID_NAME

    public static final int SETTER_INVALID_NAME

See Also:
  Constant Field Values

### SETTER_NO_ARGUMENT

    public static final int SETTER_NO_ARGUMENT

See Also:
  Constant Field Values

### SETTER_TOO_MANY_ARGUMENTS

    public static final int SETTER_TOO_MANY_ARGUMENTS

See Also:
  Constant Field Values

### SETTER_RETURN_TYPE_IS_NOT_VOID

    public static final int SETTER_RETURN_TYPE_IS_NOT_VOID

See Also:
  Constant Field Values

### SETTER_INVALID_ARGUMENT_TYPE

    public static final int SETTER_INVALID_ARGUMENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### ProxyValidator

    public ProxyValidator()

Method Detail

### validate

    public static ProxyValidator.Error[] validate(java.lang.Class itf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD